/***********************************************************************
 * Copyright (c)  2017 - 2020, Unicmicro Co.,Ltd .
 * All rights reserved.
 * Filename    : app_acmp.h
 * Description : app_acmp driver header file
 * Author(s)   : zhilan
 * version     : V1.0
 * Modify date : 2022.06.15
 ***********************************************************************/
#ifndef __APP_ACMP_H__
#define __APP_ACMP_H__

#include  "system_um321xF.h"
#include  "config.h"

#define ACMP_IRENABLE               1
#define ACMP_IRDISABLE              0

void acmp_trim_test(void);

void acmp_test(void);

void acmp_gpio_init(uint8_t irq_enable);

uint32_t get_acmp_enentstatus(void);

#endif
